%global momorel 5
Summary: Utilities for manipulating .desktop files
Name: desktop-file-utils
Version: 0.12
Release: %{momorel}m%{?dist}
URL: http://www.freedesktop.org/software/desktop-file-utils
Source0: http://www.freedesktop.org/software/%{name}/releases/%{name}-%{version}.tar.gz 
NoSource: 0

License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildPrereq: glib-devel >= 2.12.4
BuildPrereq: popt

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
touch %{buildroot}%{_datadir}/applications/mimeinfo.cache

%clean
rm -rf --preserve-root %{buildroot}

%post
# update desktop mimeinfo.cashe
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/emacs/site-lisp/desktop-entry-mode.*
%ghost %{_datadir}/applications/mimeinfo.cache

%changelog
* Mon Aug 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12-5m)
- add mimeinfo.cashe

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12-3m)
- %%NoSource -> NoSource

* Sat Jun  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12-2m)
- version down

* Fri Jun  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13-1m)
- update to 0.13

* Sat Nov 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12-1m)
- update to 0.12

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-3m)
- delete patch0 (Many applications cannot be built)

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-2m)
- add patch0 (must be remove, maybe)
- Categories = Application is OK

* Thu Sep 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.10-1m)
- version 0.10
- GNOME 2.8 Desktop

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-2m)
- add %%doc to %%files section
- use %%make

* Mon Sep  6 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.8-1m)
- version update to 0.8
- remove
     Patch0: desktop-file-utils-0.3-symlink-fix.patch
     Patch1: desktop-file-utils-0.3-accept-modifier.patch
- add entries in %files
     %{_sysconfdir}/gnome-vfs-2.0/modules/menu-modules.conf
     %{_libdir}/gnome-vfs-2.0/modules/libmenu.*
     %{_datadir}/emacs/site-lisp/desktop-entry-mode.*
     
* Tue Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3-2m)
- add accept-modifier.patch.

* Sun Jan  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3-1m)
- import from RawHide

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- fix more error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- remove old symlinks before creating new ones, chills out 
  a lot of error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- version 0.3

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.2.95 cvs snap, should fix OnlyShowIn

* Mon Jul 22 2002 Havoc Pennington <hp@redhat.com>
- 0.2.94 cvs snap, adds --print-available

* Tue Jul  9 2002 Havoc Pennington <hp@redhat.com>
- 0.2.93 cvs snap with a crash fixed, and corrects [KDE Desktop Entry]

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.92 cvs snap with --remove-key and checking for OnlyShowIn
  and missing trailing semicolons on string lists

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.91 cvs snap with --copy-name-to-generic-name and
  --copy-generic-name-to-name

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.2.90 cvs snap with --delete-original fixed

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build


